//
//  OnboardingCustomizeTwo.swift
//  Reflect (iOS)
//
//  Created by Trey Tartt on 4/5/22.
//

import SwiftUI

struct OnboardingCustomizeTwo: View {
    @ObservedObject var onboardingData: OnboardingData
    
    var formatter: DateFormatter {
        let dateFormatter = DateFormatter()
        dateFormatter.timeStyle = .short
        return dateFormatter
    }
    
    var body: some View {
        ZStack {
            GeometryReader { geometry in
                VStack {
                    Spacer()
                    Image("average", bundle: .main)
                        .foregroundColor(Color(UIColor.darkText))
                        .opacity(0.04)
                        .scaleEffect(1.2, anchor: .trailing)
                        .accessibilityHidden(true)
                    Spacer()
                }
                
                VStack(alignment: .leading) {
                    Text(String(localized: "onboarding_title_customize_two_title"))
                        .font(.title)
                        .padding()
                        .fixedSize(horizontal: false, vertical: true)
                        .foregroundColor(.white)
                    
                    SampleEntryView()
                        .padding([.top])
                    
                    ScrollView {
                        VStack(alignment: .leading) {
                            Text(String(localized: "onboarding_title_customize_two_section_one_title"))
                                .font(.title3)
                                .padding()
                                .fixedSize(horizontal: false, vertical: true)
                                .foregroundColor(.white)
                            ImagePackPickerView()
                        }
                    }
                }
                .padding()
            }
        }
        .background(Color(hex: "0b84ff"))
    }
}

struct OnboardingCustomizeTwo_Previews: PreviewProvider {
    static var previews: some View {
        OnboardingCustomizeTwo(onboardingData: OnboardingData())
    }
}
